SystemOrganization addCategory: #ShoutWorkspace!
SystemOrganization addCategory: #'ShoutWorkspace-Workspace'!

Workspace subclass: #SHWorkspace
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ShoutWorkspace-Workspace'!

!SHWorkspace commentStamp: '<historical>' prior: 0!
I am a workspace with Shout syntax highlighting!

!SHWorkspace methodsFor: 'binding' stamp: 'tween 6/26/2004 11:34'!
hasBindingOf: aString

	^(bindings notNil and: [bindings includesKey: aString])
! !

!SHWorkspace class methodsFor: 'instance creation' stamp: 'tween 6/26/2004 11:52'!
open
	self new openLabel: 'Shout Workspace'! !

!SHWorkspace class methodsFor: 'class initialization' stamp: 'tween 6/26/2004 11:43'!
initialize
	 (TheWorldMenu respondsTo: #registerOpenCommand:)
         ifTrue: [TheWorldMenu registerOpenCommand: {'Shout Workspace'. {self. #open}}]! !

!SHWorkspace methodsFor: 'override' stamp: 'tween 9/13/2004 11:46'!
embeddedInMorphicWindowLabeled: labelString
	| window |
	window := (SystemWindow labelled: labelString) model: self.
	window addMorph: (MorphicTextEditor default on: self text: #contents accept: #acceptContents:
			readSelection: nil menu: #codePaneMenu:shifted:)
		frame: (0@0 corner: 1@1).
	^ window! !

!SHWorkspace methodsFor: 'binding' stamp: 'tween 6/26/2004 11:34'!
hasBindingThatBeginsWith: aString

	bindings ifNil:[^false].
	bindings keysDo:[:each | 
		(each beginsWith: aString) 
			ifTrue:[^true]].
	^false
! !

!SHWorkspace methodsFor: 'styling' stamp: 'tween 9/13/2004 11:47'!
shoutAboutToStyle: aPluggableShoutMorphOrView
	"set up the compilation class in aPluggableShoutMorphOrView.
	Answer true if styling should go ahead, false otherwise"
	
	aPluggableShoutMorphOrView 
		classOrMetaClass: nil;
		workspace: self.
	^true! !
SHWorkspace initialize!
